<?php
class Request{
	

	public $url; 				// URL appellé par l'utilisateur
	public $page = 1; 			// pour la pagination 
	public $prefix = false; 	// Prefixage des urls /prefix/url
	public $data = false; 		// Données envoyé dans le formulaire

	function __construct(){

		$this->url = isset($_SERVER['PATH_INFO'])?$_SERVER['PATH_INFO']:'/'; 

		if(!empty($_GET)){
			$this->data = new stdClass(); 
			foreach($_GET as $k=>$v){
				$this->data->$k=$v;
			}
		}
		// Si des données ont été postées on les inscrit dans data
		if(!empty($_POST)){
			$this->data = new stdClass(); 
			foreach($_POST as $k=>$v){
				$this->data->$k=$v;
			}
		}
	}

}